# SXP Reference

SXP_getResultNumber | Functions

#### Syntax

         SXP_getResultNumber(Q, resultPtr)

Name | Type | Description
--- | --- | ---
`Q` | `QueryContext` | The current query context.
`resultPtr` | `double*` | The pointer to store the result at.
`(RET)` | `int` | The error code.

#### Description

Retrieves the result of a `SXP_query` as a double, performing a type conversion if necessary.

#### See Also

Groups | [ Functions ]
Entries | [ QueryContext | SXP_getResultBool | SXP_getResultNodeset | SXP_getResultString | SXP_getResultType | SXP_query ]

© 2001-2003 Ginger Alliance
revision 03-01-31
This page was generated by APIDOC